imports:
    - { resource: config_dev.yml }
    - { resource: parameters_test.yml }
    - { resource: services_test.yml }

framework:
    test: ~
    session:
        storage_id: session.storage.mock_file
    profiler:
        collect: false
    translator:
        enabled: false

web_profiler:
    toolbar: false
    intercept_redirects: false

swiftmailer:
    # to be able to read emails sent
    spool:
        type: file

doctrine:
    dbal:
        driver: "%test_database_driver%"
        host: "%test_database_host%"
        port: "%test_database_port%"
        dbname: "%test_database_name%"
        user: "%test_database_user%"
        password: "%test_database_password%"
        charset: "%test_database_charset%"
        path: "%env(TEST_DATABASE_PATH)%"

    orm:
        metadata_cache_driver:
            type: service
            id: filesystem_cache
        query_cache_driver:
            type: service
            id: filesystem_cache
